Bug 127470 - dmidecode causes olympia(rx8620) to panic
dmidecode causes olympia(rx8620) to panic
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 13:59 EDT by Bill Peck
Modified: 2013-03-06 00:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 11:14:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-07-08 13:59:30 EDT
Description of problem:

running dmidecode on ia64 causes the following panic.

sh-2.05b# stp_sysinfo.sh
mkdir: cannot create directory `/root/environment/proc': File exists
  Logging TOGO Errors ....
    Size of TOGO Errors : 0x0
                                                Complete
 Finish the Error Event Logging ....
                                                Complete
 Flush the cpu cache ....
                                                Complete
 ReEnabling CPU Poison Check ....
                                                Complete
Cpu20: MCA Rendez Always flag set to 1.
Cpu20: Perform rendezvous started.
Unable to handle kernel paging request at virtual address 0000070eff84a6c8
swapper[0]: Oops 8813272891392
                               
Pid: 0, comm:              swapper
EIP is at xfrm_policy_list_Rsmp_df0f8b5f [] 0xfab6a068 (2.4.21-16.EL)
psr : 0000101008022018 ifs : 8000000000000f25 ip  :
[<e000070eff8388c0>]    Not tainted
unat: 0000000000000000 pfs : 000000C000p000u0f225 r0sc :: 0
00S0000e000n00t000 3Rernnat:d 80e000zffc 100v2be830c bstpso: 00r000
000n000u00m008b epr r :  8000000x00fef7a8d9 65
000drs:7 00.000 0000
   0000 ccv : 0000000000000000 fpsr: 0009804c0270033f
b0  : Ce00p007u0e2ff80388:a0  b6 R :e e0n0007d0efef39z49ev0 bo7  u:
es000 07t0effi409m00e0
 0f6t  :  0f:ff f800200000000000000000 f7   :
   fdaf300000000000000
f8  : 1003efffffffffffffe30 f9  : 1003e00000000000003cf
r1  : e000070Ceffp830u0002 r20  :: e 000W000a004i9ft77e0i r3n  :g 00
000p000r00o000c000e
ssr8 o : r000s000 000t00o0000 0 ra9  c: 0k0000n000o00w0000lffe r1d0 :g
000e000 000M000C000A0
430e11 c: ct000o0ffcr100.49
    r12 : e0000000049f78e0 r13 : e0000000049f0000
r14 : 0000000000000000 r15 : 00000000001f0000 r16 : e0000000049f7648
r17 : e0000000049f7650 r18 : e0000000049f7658 r19 : e0000000049f7698
r20 : e0000000049f7688 r21 : e0000000049f7680 r22 : 0000001008022018
r23 : c0000ffc20000000 r24 : e000000004b949e0 r25 : 0000000000000000
r26 : e000000004b949e0 r27 : e000000004b949e0 r28 : 0000000000000000
r29 : e0000000049f003c r30 : e000000004a81690 r31 : 0000000000000000
                                                                     
Call Trace: [<e0000000044158e0>] sp=0xe0000000049f74e0
bsp=0xe0000000049f1610 show_stack [kernel] 0x80
[<e000000004431ac0>] sp=0xe0000000049f76b0 bsp=0xe0000000049f15e0 die
[kernel] 0x200
[<e000000004451230>] sp=0xe0000000049f76b0 bsp=0xe0000000049f1588
ia64_do_page_fault [kernel] 0x310
[<e00000000440e9a0>] sp=0xe0000000049f7740 bsp=0xe0000000049f1588
ia64_leave_kernel [kernel] 0x0
[<e000070eff8388c0>] sp=0xe0000000049f78e0 bsp=0xe0000000049f1498
xfrm_policy_list_Rsmp_df0f8b5f [] 0xfab6a068
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

Cpu20: Sending INIT to other processors for Rendezvous.
Cpu20: Waiting processors to acknowledge INIT.
pfree() ERROR = -1 [cpgm.o] ./../src/free.c:122
  Invalid block pointer
  handle = 0000000000, ptr = 80000ffc001209d0
Cpu22 : malloc() failed.
Cpu20: Successful through MCA vector and INIT.
Cpu20: Perform rendezvous complete, RendezState : 0x2 .
  Cell local CallGate Pointer 0x74fff409000
  CallGate Pointer after moving to CoreCell 0x70eff409000
 Firmware executing from Main Memory .......
Calling OS_MCA at 0x000000000444d0c0...
InitSequencer() ERROR = -1 [sequencer.elf]
./../src/pinnacles/thunderdome/init_sequencer.c:440
 malloc() failed
InitSequencer() ERROR = -1 [sequencer.elf]
./../src/pinnacles/thunderdome/init_sequencer.c:440
 malloc() failed
InitSequencer() ERROR = -1 [sequencer.elf]
./../src/pinnacles/thunderdome/init_sequencer.c:440
 malloc() failed


Version-Release number of selected component (if applicable):
2.4.21-16.EL

How reproducible:
everytime

Steps to Reproduce:
1. install the above kernel
2. run dmideocde
3.
  
Actual results:
system panics

Expected results:


Additional info:

I know dmidecode is not supported on ia64 but it never used to panic
the system.
Comment 1 Jason Baron 2005-02-21 11:14:40 EST
as mentioned dmidecode is not supported for ia64. We've got it working on rhel4
now, though.

Note You need to log in before you can comment on or make changes to this bug.